Skip to main content
POST
Upload term base

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Disposition
string
required

must match pattern ((inline|attachment); )?filename\*=UTF-8''(.+)

Path Parameters

termBaseUid
string
required

Term base UID

Query Parameters

charset
string
default:UTF-8

Character encoding of the file, default UTF-8

strictLangMatching
boolean
default:false

When true, only terms with an exact language match are imported

updateTerms
boolean
default:true

When true, existing terms are updated; when false, only new terms are created

Body

application/octet-stream

The body is of type object.

Response

OK

createdTermsCount
integer<int64>

Number of terms created during import

langs
string[]

Languages detected in the imported file

updatedTermsCount
integer<int64>

Number of terms updated during import